<?php
$tdataderechos_propietarios = array();
$tdataderechos_propietarios[".searchableFields"] = array();
$tdataderechos_propietarios[".ShortName"] = "derechos_propietarios";
$tdataderechos_propietarios[".OwnerID"] = "";
$tdataderechos_propietarios[".OriginalTable"] = "derecho_propietario";


$tdataderechos_propietarios[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataderechos_propietarios[".originalPagesByType"] = $tdataderechos_propietarios[".pagesByType"];
$tdataderechos_propietarios[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataderechos_propietarios[".originalPages"] = $tdataderechos_propietarios[".pages"];
$tdataderechos_propietarios[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataderechos_propietarios[".originalDefaultPages"] = $tdataderechos_propietarios[".defaultPages"];

//	field labels
$fieldLabelsderechos_propietarios = array();
$fieldToolTipsderechos_propietarios = array();
$pageTitlesderechos_propietarios = array();
$placeHoldersderechos_propietarios = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsderechos_propietarios["Spanish"] = array();
	$fieldToolTipsderechos_propietarios["Spanish"] = array();
	$placeHoldersderechos_propietarios["Spanish"] = array();
	$pageTitlesderechos_propietarios["Spanish"] = array();
	$fieldLabelsderechos_propietarios["Spanish"]["gestion"] = "Gestion";
	$fieldToolTipsderechos_propietarios["Spanish"]["gestion"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["gestion"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["id_derecho_Propietario"] = "Id Derecho Propietario";
	$fieldToolTipsderechos_propietarios["Spanish"]["id_derecho_Propietario"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["id_derecho_Propietario"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["Titular"] = "Titular";
	$fieldToolTipsderechos_propietarios["Spanish"]["Titular"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["Titular"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["fecha_entrega"] = "Fecha Entrega";
	$fieldToolTipsderechos_propietarios["Spanish"]["fecha_entrega"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["fecha_entrega"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["fecha_Pago"] = "Pago Dividendo";
	$fieldToolTipsderechos_propietarios["Spanish"]["fecha_Pago"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["fecha_Pago"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["Pago_de_Derecho"] = "Pago Dividendo";
	$fieldToolTipsderechos_propietarios["Spanish"]["Pago_de_Derecho"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["Pago_de_Derecho"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["ci"] = "Ci";
	$fieldToolTipsderechos_propietarios["Spanish"]["ci"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["ci"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["Entrega_Titulo"] = "Entrega Titulo";
	$fieldToolTipsderechos_propietarios["Spanish"]["Entrega_Titulo"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["Entrega_Titulo"] = "";
	$fieldLabelsderechos_propietarios["Spanish"]["Tipo_Pago"] = "Tipo Pago";
	$fieldToolTipsderechos_propietarios["Spanish"]["Tipo_Pago"] = "";
	$placeHoldersderechos_propietarios["Spanish"]["Tipo_Pago"] = "";
	if (count($fieldToolTipsderechos_propietarios["Spanish"]))
		$tdataderechos_propietarios[".isUseToolTips"] = true;
}


	$tdataderechos_propietarios[".NCSearch"] = true;



$tdataderechos_propietarios[".shortTableName"] = "derechos_propietarios";
$tdataderechos_propietarios[".nSecOptions"] = 0;

$tdataderechos_propietarios[".mainTableOwnerID"] = "";
$tdataderechos_propietarios[".entityType"] = 1;
$tdataderechos_propietarios[".connId"] = "bsn_dividendos_at_localhost";


$tdataderechos_propietarios[".strOriginalTableName"] = "derecho_propietario";

	



$tdataderechos_propietarios[".showAddInPopup"] = false;

$tdataderechos_propietarios[".showEditInPopup"] = false;

$tdataderechos_propietarios[".showViewInPopup"] = false;

$tdataderechos_propietarios[".listAjax"] = false;
//	temporary
//$tdataderechos_propietarios[".listAjax"] = false;

	$tdataderechos_propietarios[".audit"] = true;

	$tdataderechos_propietarios[".locking"] = true;


$pages = $tdataderechos_propietarios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataderechos_propietarios[".edit"] = true;
	$tdataderechos_propietarios[".afterEditAction"] = 1;
	$tdataderechos_propietarios[".closePopupAfterEdit"] = 1;
	$tdataderechos_propietarios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataderechos_propietarios[".add"] = true;
$tdataderechos_propietarios[".afterAddAction"] = 1;
$tdataderechos_propietarios[".closePopupAfterAdd"] = 1;
$tdataderechos_propietarios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataderechos_propietarios[".list"] = true;
}



$tdataderechos_propietarios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataderechos_propietarios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataderechos_propietarios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataderechos_propietarios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataderechos_propietarios[".printFriendly"] = true;
}



$tdataderechos_propietarios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataderechos_propietarios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataderechos_propietarios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataderechos_propietarios[".isUseAjaxSuggest"] = true;



																														

$tdataderechos_propietarios[".ajaxCodeSnippetAdded"] = false;

$tdataderechos_propietarios[".buttonsAdded"] = false;

$tdataderechos_propietarios[".addPageEvents"] = false;

// use timepicker for search panel
$tdataderechos_propietarios[".isUseTimeForSearch"] = false;


$tdataderechos_propietarios[".badgeColor"] = "E07878";


$tdataderechos_propietarios[".allSearchFields"] = array();
$tdataderechos_propietarios[".filterFields"] = array();
$tdataderechos_propietarios[".requiredSearchFields"] = array();

$tdataderechos_propietarios[".googleLikeFields"] = array();
$tdataderechos_propietarios[".googleLikeFields"][] = "id_derecho_Propietario";
$tdataderechos_propietarios[".googleLikeFields"][] = "gestion";
$tdataderechos_propietarios[".googleLikeFields"][] = "ci";
$tdataderechos_propietarios[".googleLikeFields"][] = "Titular";
$tdataderechos_propietarios[".googleLikeFields"][] = "fecha_entrega";
$tdataderechos_propietarios[".googleLikeFields"][] = "Entrega_Titulo";
$tdataderechos_propietarios[".googleLikeFields"][] = "fecha_Pago";
$tdataderechos_propietarios[".googleLikeFields"][] = "Tipo_Pago";
$tdataderechos_propietarios[".googleLikeFields"][] = "Pago_de_Derecho";



$tdataderechos_propietarios[".tableType"] = "list";

$tdataderechos_propietarios[".printerPageOrientation"] = 0;
$tdataderechos_propietarios[".nPrinterPageScale"] = 100;

$tdataderechos_propietarios[".nPrinterSplitRecords"] = 40;

$tdataderechos_propietarios[".geocodingEnabled"] = false;










$tdataderechos_propietarios[".pageSize"] = 20;

$tdataderechos_propietarios[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY d_p.id_derecho_Propietario";
$tdataderechos_propietarios[".strOrderBy"] = $tstrOrderBy;

$tdataderechos_propietarios[".orderindexes"] = array();
			$tdataderechos_propietarios[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "d_p.id_derecho_Propietario");


$tdataderechos_propietarios[".sqlHead"] = "SELECT d_p.id_derecho_Propietario,  g.nombre AS gestion,  s.ci,  CONCAT(s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.apellido_Casada, ' ', rtrim( s.nombres )) AS Titular,  e_dp.fecha_entrega,  aaa.nombre AS Entrega_Titulo,  p_dp.fecha_Pago,  bbb.nombre AS Tipo_Pago,  ccc.nombre AS Pago_de_Derecho";
$tdataderechos_propietarios[".sqlFrom"] = "FROM derecho_propietario AS d_p  LEFT OUTER JOIN socio AS s ON d_p.id_derecho_Propietario = s.id_dp  LEFT OUTER JOIN entrega_dp AS e_dp ON d_p.id_derecho_Propietario = e_dp.derecho_Propietario  LEFT OUTER JOIN pago_dp AS p_dp ON d_p.id_derecho_Propietario = p_dp.derecho_Propietario  INNER JOIN gestion AS g ON d_p.gestion = g.id_Gestion  LEFT OUTER JOIN aux AS aaa ON e_dp.estado = aaa.id_aux  LEFT OUTER JOIN aux AS bbb ON p_dp.tipo_pago = bbb.id_aux  LEFT OUTER JOIN aux AS ccc ON p_dp.estado = ccc.id_aux";
$tdataderechos_propietarios[".sqlWhereExpr"] = "( tipo_accionista = 29)";
$tdataderechos_propietarios[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdataderechos_propietarios[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataderechos_propietarios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataderechos_propietarios[".arrGroupsPerPage"] = $arrGPP;

$tdataderechos_propietarios[".highlightSearchResults"] = true;

$tableKeysderechos_propietarios = array();
$tableKeysderechos_propietarios[] = "id_derecho_Propietario";
$tdataderechos_propietarios[".Keys"] = $tableKeysderechos_propietarios;


$tdataderechos_propietarios[".hideMobileList"] = array();




//	id_derecho_Propietario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_derecho_Propietario";
	$fdata["GoodName"] = "id_derecho_Propietario";
	$fdata["ownerTable"] = "derecho_propietario";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","id_derecho_Propietario");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_derecho_Propietario";

		$fdata["sourceSingle"] = "id_derecho_Propietario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "d_p.id_derecho_Propietario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["id_derecho_Propietario"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "id_derecho_Propietario";
//	gestion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "gestion";
	$fdata["GoodName"] = "gestion";
	$fdata["ownerTable"] = "gestion";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","gestion");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

		$fdata["sourceSingle"] = "gestion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "g.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "gestion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_Gestion";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["gestion"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "gestion";
//	ci
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ci";
	$fdata["GoodName"] = "ci";
	$fdata["ownerTable"] = "socio";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","ci");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "ci";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "s.ci";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["ci"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "ci";
//	Titular
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Titular";
	$fdata["GoodName"] = "Titular";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","Titular");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Titular";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CONCAT(s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.apellido_Casada, ' ', rtrim( s.nombres ))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["Titular"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "Titular";
//	fecha_entrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fecha_entrega";
	$fdata["GoodName"] = "fecha_entrega";
	$fdata["ownerTable"] = "entrega_dp";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","fecha_entrega");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_entrega";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e_dp.fecha_entrega";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["fecha_entrega"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "fecha_entrega";
//	Entrega_Titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Entrega_Titulo";
	$fdata["GoodName"] = "Entrega_Titulo";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","Entrega_Titulo");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aaa.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["Entrega_Titulo"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "Entrega_Titulo";
//	fecha_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "fecha_Pago";
	$fdata["GoodName"] = "fecha_Pago";
	$fdata["ownerTable"] = "pago_dp";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","fecha_Pago");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "fecha_Pago";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "p_dp.fecha_Pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["fecha_Pago"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "fecha_Pago";
//	Tipo_Pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Tipo_Pago";
	$fdata["GoodName"] = "Tipo_Pago";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","Tipo_Pago");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bbb.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["Tipo_Pago"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "Tipo_Pago";
//	Pago_de_Derecho
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Pago_de_Derecho";
	$fdata["GoodName"] = "Pago_de_Derecho";
	$fdata["ownerTable"] = "aux";
	$fdata["Label"] = GetFieldLabel("Derechos_Propietarios","Pago_de_Derecho");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "nombre";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ccc.nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataderechos_propietarios["Pago_de_Derecho"] = $fdata;
		$tdataderechos_propietarios[".searchableFields"][] = "Pago_de_Derecho";


$tables_data["Derechos_Propietarios"]=&$tdataderechos_propietarios;
$field_labels["Derechos_Propietarios"] = &$fieldLabelsderechos_propietarios;
$fieldToolTips["Derechos_Propietarios"] = &$fieldToolTipsderechos_propietarios;
$placeHolders["Derechos_Propietarios"] = &$placeHoldersderechos_propietarios;
$page_titles["Derechos_Propietarios"] = &$pageTitlesderechos_propietarios;


changeTextControlsToDate( "Derechos_Propietarios" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Derechos_Propietarios"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Derechos_Propietarios"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_derechos_propietarios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "d_p.id_derecho_Propietario,  g.nombre AS gestion,  s.ci,  CONCAT(s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.apellido_Casada, ' ', rtrim( s.nombres )) AS Titular,  e_dp.fecha_entrega,  aaa.nombre AS Entrega_Titulo,  p_dp.fecha_Pago,  bbb.nombre AS Tipo_Pago,  ccc.nombre AS Pago_de_Derecho";
$proto0["m_strFrom"] = "FROM derecho_propietario AS d_p  LEFT OUTER JOIN socio AS s ON d_p.id_derecho_Propietario = s.id_dp  LEFT OUTER JOIN entrega_dp AS e_dp ON d_p.id_derecho_Propietario = e_dp.derecho_Propietario  LEFT OUTER JOIN pago_dp AS p_dp ON d_p.id_derecho_Propietario = p_dp.derecho_Propietario  INNER JOIN gestion AS g ON d_p.gestion = g.id_Gestion  LEFT OUTER JOIN aux AS aaa ON e_dp.estado = aaa.id_aux  LEFT OUTER JOIN aux AS bbb ON p_dp.tipo_pago = bbb.id_aux  LEFT OUTER JOIN aux AS ccc ON p_dp.estado = ccc.id_aux";
$proto0["m_strWhere"] = "( tipo_accionista = 29)";
$proto0["m_strOrderBy"] = "ORDER BY d_p.id_derecho_Propietario";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = " tipo_accionista = 29";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLNonParsed(array(
	"m_sql" => " tipo_accionista"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 29";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_derecho_Propietario",
	"m_strTable" => "d_p",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto6["m_sql"] = "d_p.id_derecho_Propietario";
$proto6["m_srcTableName"] = "Derechos_Propietarios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "g",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto8["m_sql"] = "g.nombre";
$proto8["m_srcTableName"] = "Derechos_Propietarios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "gestion";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ci",
	"m_strTable" => "s",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto10["m_sql"] = "s.ci";
$proto10["m_srcTableName"] = "Derechos_Propietarios";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$proto13=array();
$proto13["m_functiontype"] = "SQLF_CUSTOM";
$proto13["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "s.apellido_Paterno"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "s.apellido_Materno"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "s.apellido_Casada"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "' '"
));

$proto13["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "rtrim( s.nombres )"
));

$proto13["m_arguments"][]=$obj;
$proto13["m_strFunctionName"] = "CONCAT";
$obj = new SQLFunctionCall($proto13);

$proto12["m_sql"] = "CONCAT(s.apellido_Paterno, ' ', s.apellido_Materno, ' ', s.apellido_Casada, ' ', rtrim( s.nombres ))";
$proto12["m_srcTableName"] = "Derechos_Propietarios";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "Titular";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_entrega",
	"m_strTable" => "e_dp",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto21["m_sql"] = "e_dp.fecha_entrega";
$proto21["m_srcTableName"] = "Derechos_Propietarios";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "aaa",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto23["m_sql"] = "aaa.nombre";
$proto23["m_srcTableName"] = "Derechos_Propietarios";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "Entrega_Titulo";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_Pago",
	"m_strTable" => "p_dp",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto25["m_sql"] = "p_dp.fecha_Pago";
$proto25["m_srcTableName"] = "Derechos_Propietarios";
$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "bbb",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto27["m_sql"] = "bbb.nombre";
$proto27["m_srcTableName"] = "Derechos_Propietarios";
$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "Tipo_Pago";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ccc",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto29["m_sql"] = "ccc.nombre";
$proto29["m_srcTableName"] = "Derechos_Propietarios";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "Pago_de_Derecho";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto31=array();
$proto31["m_link"] = "SQLL_MAIN";
			$proto32=array();
$proto32["m_strName"] = "derecho_propietario";
$proto32["m_srcTableName"] = "Derechos_Propietarios";
$proto32["m_columns"] = array();
$proto32["m_columns"][] = "id_derecho_Propietario";
$proto32["m_columns"][] = "gestion";
$proto32["m_columns"][] = "nro_Partido";
$proto32["m_columns"][] = "nro_Folio";
$proto32["m_columns"][] = "accionista";
$proto32["m_columns"][] = "nro_Titulo";
$proto32["m_columns"][] = "nro_Acciones";
$proto32["m_columns"][] = "serie_Acciones";
$proto32["m_columns"][] = "estado_Pago";
$proto32["m_columns"][] = "tipo_Acciones";
$proto32["m_columns"][] = "gravamen";
$proto32["m_columns"][] = "fecha_Emision";
$proto32["m_columns"][] = "fecha_Inscripcion";
$proto32["m_columns"][] = "clase_Acciones";
$proto32["m_columns"][] = "nro_Acciones_Literal";
$proto32["m_columns"][] = "total_bs";
$proto32["m_columns"][] = "total_bs_literal";
$proto32["m_columns"][] = "estado_titulo";
$proto32["m_columns"][] = "saldo_Acciones_A";
$proto32["m_columns"][] = "saldo_Acciones";
$obj = new SQLTable($proto32);

$proto31["m_table"] = $obj;
$proto31["m_sql"] = "derecho_propietario AS d_p";
$proto31["m_alias"] = "d_p";
$proto31["m_srcTableName"] = "Derechos_Propietarios";
$proto33=array();
$proto33["m_sql"] = "";
$proto33["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto33["m_column"]=$obj;
$proto33["m_contained"] = array();
$proto33["m_strCase"] = "";
$proto33["m_havingmode"] = false;
$proto33["m_inBrackets"] = false;
$proto33["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto33);

$proto31["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto31);

$proto0["m_fromlist"][]=$obj;
												$proto35=array();
$proto35["m_link"] = "SQLL_LEFTJOIN";
			$proto36=array();
$proto36["m_strName"] = "socio";
$proto36["m_srcTableName"] = "Derechos_Propietarios";
$proto36["m_columns"] = array();
$proto36["m_columns"][] = "id_Socio";
$proto36["m_columns"][] = "ci";
$proto36["m_columns"][] = "ci_complemento";
$proto36["m_columns"][] = "ci_procedencia";
$proto36["m_columns"][] = "nombres";
$proto36["m_columns"][] = "apellido_Paterno";
$proto36["m_columns"][] = "apellido_Materno";
$proto36["m_columns"][] = "fecha_Nacimiento";
$proto36["m_columns"][] = "lugar_Nacimiento";
$proto36["m_columns"][] = "depto_Nacimiento";
$proto36["m_columns"][] = "direccion";
$proto36["m_columns"][] = "profesion";
$proto36["m_columns"][] = "telefono";
$proto36["m_columns"][] = "celular";
$proto36["m_columns"][] = "foto_actual";
$proto36["m_columns"][] = "foto_Ci";
$proto36["m_columns"][] = "estado";
$proto36["m_columns"][] = "tipo_Doc";
$proto36["m_columns"][] = "pais_Nacimiento";
$proto36["m_columns"][] = "sexo";
$proto36["m_columns"][] = "estado_Civil";
$proto36["m_columns"][] = "apellido_Casada";
$proto36["m_columns"][] = "tipo_accionista";
$proto36["m_columns"][] = "id_dp";
$obj = new SQLTable($proto36);

$proto35["m_table"] = $obj;
$proto35["m_sql"] = "LEFT OUTER JOIN socio AS s ON d_p.id_derecho_Propietario = s.id_dp";
$proto35["m_alias"] = "s";
$proto35["m_srcTableName"] = "Derechos_Propietarios";
$proto37=array();
$proto37["m_sql"] = "s.id_dp = d_p.id_derecho_Propietario";
$proto37["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_dp",
	"m_strTable" => "s",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto37["m_column"]=$obj;
$proto37["m_contained"] = array();
$proto37["m_strCase"] = "= d_p.id_derecho_Propietario";
$proto37["m_havingmode"] = false;
$proto37["m_inBrackets"] = false;
$proto37["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto37);

$proto35["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto35);

$proto0["m_fromlist"][]=$obj;
												$proto39=array();
$proto39["m_link"] = "SQLL_LEFTJOIN";
			$proto40=array();
$proto40["m_strName"] = "entrega_dp";
$proto40["m_srcTableName"] = "Derechos_Propietarios";
$proto40["m_columns"] = array();
$proto40["m_columns"][] = "id_Entrega";
$proto40["m_columns"][] = "fecha_entrega";
$proto40["m_columns"][] = "derecho_Propietario";
$proto40["m_columns"][] = "accionista";
$proto40["m_columns"][] = "estado";
$proto40["m_columns"][] = "respaldo";
$obj = new SQLTable($proto40);

$proto39["m_table"] = $obj;
$proto39["m_sql"] = "LEFT OUTER JOIN entrega_dp AS e_dp ON d_p.id_derecho_Propietario = e_dp.derecho_Propietario";
$proto39["m_alias"] = "e_dp";
$proto39["m_srcTableName"] = "Derechos_Propietarios";
$proto41=array();
$proto41["m_sql"] = "e_dp.derecho_Propietario = d_p.id_derecho_Propietario";
$proto41["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "derecho_Propietario",
	"m_strTable" => "e_dp",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto41["m_column"]=$obj;
$proto41["m_contained"] = array();
$proto41["m_strCase"] = "= d_p.id_derecho_Propietario";
$proto41["m_havingmode"] = false;
$proto41["m_inBrackets"] = false;
$proto41["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto41);

$proto39["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto39);

$proto0["m_fromlist"][]=$obj;
												$proto43=array();
$proto43["m_link"] = "SQLL_LEFTJOIN";
			$proto44=array();
$proto44["m_strName"] = "pago_dp";
$proto44["m_srcTableName"] = "Derechos_Propietarios";
$proto44["m_columns"] = array();
$proto44["m_columns"][] = "id_Pago";
$proto44["m_columns"][] = "fecha_Pago";
$proto44["m_columns"][] = "derecho_Propietario";
$proto44["m_columns"][] = "accionista";
$proto44["m_columns"][] = "estado";
$proto44["m_columns"][] = "tipo_pago";
$proto44["m_columns"][] = "respaldo";
$obj = new SQLTable($proto44);

$proto43["m_table"] = $obj;
$proto43["m_sql"] = "LEFT OUTER JOIN pago_dp AS p_dp ON d_p.id_derecho_Propietario = p_dp.derecho_Propietario";
$proto43["m_alias"] = "p_dp";
$proto43["m_srcTableName"] = "Derechos_Propietarios";
$proto45=array();
$proto45["m_sql"] = "p_dp.derecho_Propietario = d_p.id_derecho_Propietario";
$proto45["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "derecho_Propietario",
	"m_strTable" => "p_dp",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto45["m_column"]=$obj;
$proto45["m_contained"] = array();
$proto45["m_strCase"] = "= d_p.id_derecho_Propietario";
$proto45["m_havingmode"] = false;
$proto45["m_inBrackets"] = false;
$proto45["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto45);

$proto43["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto43);

$proto0["m_fromlist"][]=$obj;
												$proto47=array();
$proto47["m_link"] = "SQLL_INNERJOIN";
			$proto48=array();
$proto48["m_strName"] = "gestion";
$proto48["m_srcTableName"] = "Derechos_Propietarios";
$proto48["m_columns"] = array();
$proto48["m_columns"][] = "id_Gestion";
$proto48["m_columns"][] = "id_Empresa";
$proto48["m_columns"][] = "fecha_i";
$proto48["m_columns"][] = "fecha_f";
$proto48["m_columns"][] = "nombre";
$proto48["m_columns"][] = "presidente";
$proto48["m_columns"][] = "director_Secretario";
$proto48["m_columns"][] = "sindico";
$proto48["m_columns"][] = "numero_Acciones";
$proto48["m_columns"][] = "valor_Nominal";
$proto48["m_columns"][] = "estado";
$proto48["m_columns"][] = "utilidad_gestion";
$obj = new SQLTable($proto48);

$proto47["m_table"] = $obj;
$proto47["m_sql"] = "INNER JOIN gestion AS g ON d_p.gestion = g.id_Gestion";
$proto47["m_alias"] = "g";
$proto47["m_srcTableName"] = "Derechos_Propietarios";
$proto49=array();
$proto49["m_sql"] = "g.id_Gestion = d_p.gestion";
$proto49["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_Gestion",
	"m_strTable" => "g",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto49["m_column"]=$obj;
$proto49["m_contained"] = array();
$proto49["m_strCase"] = "= d_p.gestion";
$proto49["m_havingmode"] = false;
$proto49["m_inBrackets"] = false;
$proto49["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto49);

$proto47["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto47);

$proto0["m_fromlist"][]=$obj;
												$proto51=array();
$proto51["m_link"] = "SQLL_LEFTJOIN";
			$proto52=array();
$proto52["m_strName"] = "aux";
$proto52["m_srcTableName"] = "Derechos_Propietarios";
$proto52["m_columns"] = array();
$proto52["m_columns"][] = "alias";
$proto52["m_columns"][] = "aux";
$proto52["m_columns"][] = "color";
$proto52["m_columns"][] = "id_aux";
$proto52["m_columns"][] = "nombre";
$proto52["m_columns"][] = "orden";
$proto52["m_columns"][] = "valor";
$proto52["m_columns"][] = "valor_1";
$proto52["m_columns"][] = "valor_2";
$proto52["m_columns"][] = "valor_3";
$proto52["m_columns"][] = "valor_4";
$obj = new SQLTable($proto52);

$proto51["m_table"] = $obj;
$proto51["m_sql"] = "LEFT OUTER JOIN aux AS aaa ON e_dp.estado = aaa.id_aux";
$proto51["m_alias"] = "aaa";
$proto51["m_srcTableName"] = "Derechos_Propietarios";
$proto53=array();
$proto53["m_sql"] = "aaa.id_aux = e_dp.estado";
$proto53["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "aaa",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto53["m_column"]=$obj;
$proto53["m_contained"] = array();
$proto53["m_strCase"] = "= e_dp.estado";
$proto53["m_havingmode"] = false;
$proto53["m_inBrackets"] = false;
$proto53["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto53);

$proto51["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto51);

$proto0["m_fromlist"][]=$obj;
												$proto55=array();
$proto55["m_link"] = "SQLL_LEFTJOIN";
			$proto56=array();
$proto56["m_strName"] = "aux";
$proto56["m_srcTableName"] = "Derechos_Propietarios";
$proto56["m_columns"] = array();
$proto56["m_columns"][] = "alias";
$proto56["m_columns"][] = "aux";
$proto56["m_columns"][] = "color";
$proto56["m_columns"][] = "id_aux";
$proto56["m_columns"][] = "nombre";
$proto56["m_columns"][] = "orden";
$proto56["m_columns"][] = "valor";
$proto56["m_columns"][] = "valor_1";
$proto56["m_columns"][] = "valor_2";
$proto56["m_columns"][] = "valor_3";
$proto56["m_columns"][] = "valor_4";
$obj = new SQLTable($proto56);

$proto55["m_table"] = $obj;
$proto55["m_sql"] = "LEFT OUTER JOIN aux AS bbb ON p_dp.tipo_pago = bbb.id_aux";
$proto55["m_alias"] = "bbb";
$proto55["m_srcTableName"] = "Derechos_Propietarios";
$proto57=array();
$proto57["m_sql"] = "bbb.id_aux = p_dp.tipo_pago";
$proto57["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "bbb",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto57["m_column"]=$obj;
$proto57["m_contained"] = array();
$proto57["m_strCase"] = "= p_dp.tipo_pago";
$proto57["m_havingmode"] = false;
$proto57["m_inBrackets"] = false;
$proto57["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto57);

$proto55["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto55);

$proto0["m_fromlist"][]=$obj;
												$proto59=array();
$proto59["m_link"] = "SQLL_LEFTJOIN";
			$proto60=array();
$proto60["m_strName"] = "aux";
$proto60["m_srcTableName"] = "Derechos_Propietarios";
$proto60["m_columns"] = array();
$proto60["m_columns"][] = "alias";
$proto60["m_columns"][] = "aux";
$proto60["m_columns"][] = "color";
$proto60["m_columns"][] = "id_aux";
$proto60["m_columns"][] = "nombre";
$proto60["m_columns"][] = "orden";
$proto60["m_columns"][] = "valor";
$proto60["m_columns"][] = "valor_1";
$proto60["m_columns"][] = "valor_2";
$proto60["m_columns"][] = "valor_3";
$proto60["m_columns"][] = "valor_4";
$obj = new SQLTable($proto60);

$proto59["m_table"] = $obj;
$proto59["m_sql"] = "LEFT OUTER JOIN aux AS ccc ON p_dp.estado = ccc.id_aux";
$proto59["m_alias"] = "ccc";
$proto59["m_srcTableName"] = "Derechos_Propietarios";
$proto61=array();
$proto61["m_sql"] = "ccc.id_aux = p_dp.estado";
$proto61["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_aux",
	"m_strTable" => "ccc",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto61["m_column"]=$obj;
$proto61["m_contained"] = array();
$proto61["m_strCase"] = "= p_dp.estado";
$proto61["m_havingmode"] = false;
$proto61["m_inBrackets"] = false;
$proto61["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto61);

$proto59["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto59);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto63=array();
						$obj = new SQLField(array(
	"m_strName" => "id_derecho_Propietario",
	"m_strTable" => "d_p",
	"m_srcTableName" => "Derechos_Propietarios"
));

$proto63["m_column"]=$obj;
$proto63["m_bAsc"] = 1;
$proto63["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto63);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="Derechos_Propietarios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_derechos_propietarios = createSqlQuery_derechos_propietarios();


	
		;

									

$tdataderechos_propietarios[".sqlquery"] = $queryData_derechos_propietarios;



include_once(getabspath("include/derechos_propietarios_events.php"));
$tdataderechos_propietarios[".hasEvents"] = true;

?>